# Function setCommunity

- setCommunity(payload?): {
  payload: {
  followers: CommunityEntryType;
  following: CommunityEntryType;
  friends: CommunityEntryType;
  };
  type: "currentAccount/setCommunity";
  }

- Calling this redux#ActionCreator with an argument will return a PayloadAction of type `T` with a payload of `P`. Calling it without an argument will return a PayloadAction with a payload of `undefined`.

  #### Parameters

  - `Optional` payload: {
    followers: CommunityEntryType;
    following: CommunityEntryType;
    friends: CommunityEntryType;
    }

    - ##### followers: CommunityEntryType

    - ##### following: CommunityEntryType

    - ##### friends: CommunityEntryType

  #### Returns {
  payload: {
  followers: CommunityEntryType;
  following: CommunityEntryType;
  friends: CommunityEntryType;
  };
  type: "currentAccount/setCommunity";
  }

  - ##### payload: {
    followers: CommunityEntryType;
    following: CommunityEntryType;
    friends: CommunityEntryType;
    }

    - ##### followers: CommunityEntryType

    - ##### following: CommunityEntryType

    - ##### friends: CommunityEntryType

  - ##### type: "currentAccount/setCommunity"

  - Defined in work/deeplinks/deeplinks/imports/cyber/redux/features/currentAccount.ts:38

#####
Index

### Properties

match
type

##
Properties

### match

match: ((action: Action<unknown>) => action is {
payload: {
followers: CommunityEntryType;
following: CommunityEntryType;
friends: CommunityEntryType;
};
type: "currentAccount/setCommunity";
})

- Defined in work/deeplinks/deeplinks/node_modules/@reduxjs/toolkit/dist/createAction.d.ts:59

### type

type: "currentAccount/setCommunity"

- Defined in work/deeplinks/deeplinks/node_modules/@reduxjs/toolkit/dist/createAction.d.ts:58